<?php

// Admin routes for 1111
Route::group(['prefix' => trans_setlocale().'/admin/1111', 'middleware' => ['web', 'auth.role:admin']], function () {
    Route::resource('1111', '1111\1111\Http\Controllers\1111AdminController');
});

// User routes for 1111
Route::group(['prefix' => trans_setlocale().'/user/1111', 'middleware' => ['web', 'auth.role:user']], function () {
    Route::resource('1111', '1111\1111\Http\Controllers\1111UserController');
});

// Public routes for 1111
Route::group(['prefix' => trans_setlocale(), 'middleware' => ['web']], function () {
    Route::get('1111/1111', '1111\1111\Http\Controllers\1111PublicController@index');
    Route::get('1111/1111/{slug?}', '1111\1111\Http\Controllers\1111PublicController@show');
});
